Package org.jboss.resteasy.client.jaxrs.engines

## Class PassthroughTrustManager

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.engines.PassthroughTrustManager

- All Implemented Interfaces:
    `TrustManager`, `X509TrustManager`

      public class PassthroughTrustManager
      extends Object
      implements X509TrustManager

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PassthroughTrustManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkClientTrusted​(X509Certificate[] chain, String authType)` |
    `void` | `checkServerTrusted​(X509Certificate[] chain, String authType)` |
    `X509Certificate[]` | `getAcceptedIssuers()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PassthroughTrustManager

          public PassthroughTrustManager()

  - ### Method Detail

    - #### checkClientTrusted

          public void checkClientTrusted​(X509Certificate[] chain,
                                         String authType)
                                  throws CertificateException

      Specified by:
        `checkClientTrusted` in interface `X509TrustManager`
      Throws:
        `CertificateException`

    - #### checkServerTrusted

          public void checkServerTrusted​(X509Certificate[] chain,
                                         String authType)
                                  throws CertificateException

      Specified by:
        `checkServerTrusted` in interface `X509TrustManager`
      Throws:
        `CertificateException`

    - #### getAcceptedIssuers

          public X509Certificate[] getAcceptedIssuers()

      Specified by:
        `getAcceptedIssuers` in interface `X509TrustManager`